# Method: matters.savedQueries.list

- [HTTP request](https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries/list#body.request_body)
- [Response body](https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries/list#body.ListSavedQueriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries/list#try-it)

Lists the saved queries in a matter.

### HTTP request

`GET https://vault.googleapis.com/v1/matters/{matterId}/savedQueries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `matterId` | `string` The ID of the matter to get the saved queries for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of saved queries to return. |
| `pageToken` | `string` The pagination token as returned in the previous response. An empty token means start from the beginning. |

### Request body

The request body must be empty.

### Response body

Definition of the response for method ListSaveQuery.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "savedQueries": [ { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries#SavedQuery`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `savedQueries[]` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters.savedQueries#SavedQuery`)`` List of saved queries. |
| `nextPageToken` | `string` Page token to retrieve the next page of results in the list. If this is empty, then there are no more saved queries to list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/ediscovery.readonly`
- `https://www.googleapis.com/auth/ediscovery`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).